JavaScript/jQuery Slider - Handle the Value Change Event

To process a new Slider value, you need to handle the value change event. If the handling function is not going to be changed during the lifetime of the UI component, assign it to the onValueChanged property when you configure the UI component.

JavaScript
  • $(function() {
  • $("#sliderContainer").dxSlider({
  • onValueChanged: function (e) {
  • const previousValue = e.previousValue;
  • const newValue = e.value;
  • // Event handling commands go here
  • }
  • });
  • });

If you are going to change event handlers at runtime, or if you need to attach several handlers to the value change event, subscribe to this event using the on(eventName, eventHandler) method. This approach is more typical of jQuery.

JavaScript
  • const valueChangedHandler1 = function (e) {
  • const previousValue = e.previousValue;
  • const newValue = e.value;
  • // First handler of the "valueChanged" event
  • };
  •  
  • const valueChangedHandler2 = function (e) {
  • const previousValue = e.previousValue;
  • const newValue = e.value;
  • // Second handler of the "valueChanged" event
  • };
  •  
  • $("#sliderContainer").dxSlider("instance")
  • .on("valueChanged", valueChangedHandler1)
  • .on("valueChanged", valueChangedHandler2);
See Also

Vue Slider - Handle the Value Change Event
To process a new Slider value, you need to handle the value change event. If the handling function is not going to be changed during the lifetime of the UI component, assign it to the onValueChanged property when you configure the UI component.
- <template>
- <DxSlider
- v-model:value="value"
- @value-changed="handleValueChange"
- />
- </template>
- <script>
- import 'devextreme/dist/css/dx.light.css';
- import { DxSlider } from 'devextreme-vue/slider';
- export default {
- components: {
- DxSlider
- },
- data() {
- return {
- value: 25
- };
- },
- methods: {
- handleValueChange(e) {
- const previousValue = e.previousValue;
- const newValue = e.value;
- // Event handling commands go here
- }
- }
- }
- </script>
If you are going to change event handlers at runtime, or if you need to attach several handlers to the value change event, subscribe to this event using the on(eventName, eventHandler) method. This approach is more typical of jQuery.
- const valueChangedHandler1 = function (e) {
- const previousValue = e.previousValue;
- const newValue = e.value;
- // First handler of the "valueChanged" event
- };
- const valueChangedHandler2 = function (e) {
- const previousValue = e.previousValue;
- const newValue = e.value;
- // Second handler of the "valueChanged" event
- };
- $("#sliderContainer").dxSlider("instance")
- .on("valueChanged", valueChangedHandler1)
- .on("valueChanged", valueChangedHandler2);
See Also
- Handle Events: Angular | Vue | React | jQuery | AngularJS | Knockout
- Slider Demos
- Slider API Reference
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React Slider - Handle the Value Change Event

To process a new Slider value, you need to handle the value change event. If the handling function is not going to be changed during the lifetime of the UI component, assign it to the onValueChanged property when you configure the UI component.

jQuery
JavaScript
$(function() {
    $("#sliderContainer").dxSlider({
        onValueChanged: function (e) {
            const previousValue = e.previousValue;
            const newValue = e.value;
            // Event handling commands go here
        }
    });
});
Angular
HTML
TypeScript
<dx-slider
    [(value)]="value"
    (onValueChanged)="handleValueChange($event)">
</dx-slider>
import { DxSliderModule } from "devextreme-angular";
// ...
export class AppComponent {
    value = 25;

    handleValueChange (e) {
        const previousValue = e.previousValue;
        const newValue = e.value;
        // Event handling commands go here
    };
}
@NgModule({
    imports: [
        // ...
        DxSliderModule
    ],
    // ...
})
Vue
<template>
    <DxSlider
        v-model:value="value"
        @value-changed="handleValueChange"
    />
</template>

<script>
import 'devextreme/dist/css/dx.light.css';

import { DxSlider } from 'devextreme-vue/slider';

export default {
    components: {
        DxSlider
    },
    data() {
        return {
            value: 25
        };
    },
    methods: {
        handleValueChange(e) {
            const previousValue = e.previousValue;
            const newValue = e.value;
            // Event handling commands go here
        }
    }
}
</script>
React
import React from 'react';
import 'devextreme/dist/css/dx.light.css';

import { Slider } from 'devextreme-react/slider';

class App extends React.Component {
    constructor(props) {
        super(props);

        this.state = {
            value: 25
        };
        this.handleValueChange = this.handleValueChange.bind(this);
    }

    handleValueChange(e) {
        const previousValue = e.previousValue;
        const newValue = e.value;
        // Event handling commands go here

        this.setState({
            value: newValue
        });
    }

    render() {
        return (
            <Slider
                value={this.state.value}
                onValueChanged={this.handleValueChange}
            />
        );
    }
}

export default App;

If you are going to change event handlers at runtime, or if you need to attach several handlers to the value change event, subscribe to this event using the on(eventName, eventHandler) method. This approach is more typical of jQuery.

JavaScript
const valueChangedHandler1 = function (e) {
    const previousValue = e.previousValue;
    const newValue = e.value;
    // First handler of the "valueChanged" event
};

const valueChangedHandler2 = function (e) {
    const previousValue = e.previousValue;
    const newValue = e.value;
    // Second handler of the "valueChanged" event
};

$("#sliderContainer").dxSlider("instance")
    .on("valueChanged", valueChangedHandler1)
    .on("valueChanged", valueChangedHandler2);
See Also